import 'package:cargocalculaterapp/core/error/failure.dart';
import 'package:cargocalculaterapp/features/profile/data/models/delete_account_response.dart';
import 'package:dartz/dartz.dart';

import '../../../../core/usecase/usecase.dart';
import '../repository/profile_repository.dart';

class DeleteProfileUseCase extends UseCase<DeleteAccountResponse, NoParams> {
  final ProfileRepository repository;

  DeleteProfileUseCase(this.repository);

  @override
  Future<Either<Failure, DeleteAccountResponse>> call(NoParams params) async {
    return await repository.deleteProfile();
  }
}
